## octave-openmpi-ext 1.0.2

=== DESCRIPTION ===
Name: openmpi_ext
Version: 1.0.2
Date: 2010-6-17
Author: Riccardo Corradini <riccardocorradini@yahoo.it> and the Octave Community
Maintainer: Riccardo Corradini <riccardocorradini@yahoo.it>
Title: openmpi_ext
Description: MPI functions for parallel computing using simple MPI Derived Datatypes.
Depends: octave (>= 3.2.4)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
MPICC := mpiCC
JUNK := $(shell $(MPICC) -showme:compile)
MPIINC := $(shell echo $(JUNK) | sed -e "s/-pthread/-lpthread/g")
JUNK := $(shell $(MPICC) -showme:link)
MPILIBS := $(shell echo $(JUNK) | sed -e "s/-pthread/ /g")


all: MPI_Init.oct \
     MPI_Initialized.oct \
     MPI_Comm_rank.oct \
     MPI_Comm_size.oct \
     MPI_Finalize.oct \
     MPI_Finalized.oct \
     MPI_Send.oct \
     MPI_Recv.oct \
     MPI_Iprobe.oct \
     MPI_Probe.oct \
     MPI_Barrier.oct \
     MPI_Comm_Load.oct \
     MPI_Comm_Test.oct \
     MPI_Get_processor_name.oct\

%.oct: %.cc
	mkoctfile -s $(MPIINC) $(MPILIBS) $<
clean:
	-rm *.o  *.oct *~

=== debian/changelog ===
octave-openmpi-ext (1.0.2-2) unstable; urgency=low

  * Explicitly Build-Depends on libopenmpi-dev, and Build-Conflicts with
    libmpich2-dev, since the package is not compatible with the latter

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 03 Jul 2012 13:59:34 +0000

octave-openmpi-ext (1.0.2-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Initial release (closes: #668299)

 -- Thomas Weber <tweber@debian.org>  Fri, 27 Apr 2012 15:21:22 +0200

=== debian/control ===
Source: octave-openmpi-ext
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
           Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
               libopenmpi-dev, dh-exec, dpkg-dev (>= 1.16.1)
Build-Conflicts: libmpich2-dev
Standards-Version: 3.9.3
Homepage: http://octave.sourceforge.net/openmpi_ext/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-openmpi-ext.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-openmpi-ext.git

Package: octave-openmpi-ext
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Recommends: openmpi-bin
Description: Octave toolbox for parallel computing using MPI
 This package brings parallel computing capabilities to Octave by providing a
 convenient interface to OpenMPI primitives. This is achieved using simple MPI
 Derived Datatypes.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Needed by debian/links
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

include /usr/share/cdbs/1/class/octave-pkg.mk

# Make example shell script executable
binary-fixup/octave-openmpi-ext::
	chmod +x debian/octave-openmpi-ext/usr/share/octave/packages/openmpi_ext-$(DEB_VERSION_UPSTREAM)/allnodes

## octave-openmpi-ext 1.1.0

=== DESCRIPTION ===
Name: openmpi_ext
Version: 1.1.0
Date: 2012-8-29
Author: Riccardo Corradini <riccardocorradini@yahoo.it>, Jaroslav Hajek, Carlo de Falco
Maintainer: the Octave Community
Title: openmpi_ext
Description: MPI functions for parallel computing using simple MPI Derived Datatypes.
Depends: octave (>= 3.2.4)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-MPICC := mpiCC
+MPICC := mpic++
 JUNK := $(shell $(MPICC) -showme:compile)
 MPIINC := $(shell echo $(JUNK) | sed -e "s/-pthread/-lpthread/g")
 JUNK := $(shell $(MPICC) -showme:link)
 MPILIBS := $(shell echo $(JUNK) | sed -e "s/-pthread/ /g")
-
+MKOCTFILE ?= mkoctfile
 
 all: MPI_Init.oct \
      MPI_Initialized.oct \
@@ -18,10 +18,10 @@
      MPI_Barrier.oct \
      MPI_Comm_Load.oct \
      MPI_Comm_Test.oct \
-     MPI_Get_processor_name.oct\
+     MPI_Get_processor_name.oct \
 
 %.oct: %.cc
-	mkoctfile -s $(MPIINC) $(MPILIBS) $<
+	$(MKOCTFILE) $(MPIINC) $(MPILIBS) $<
 clean:
-	-rm *.o  *.oct *~
+	$(RM) *.o  *.oct *~

=== debian/changelog ===
octave-openmpi-ext (1.1.0-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Fix FTBFS against openmpi 1.6
    + openmpi-1.6.patch: new patch
    + Tighten build dependency against libopenmpi-dev (the patch is not
      backward compatible)

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Aug 2013 18:08:44 +0200

octave-openmpi-ext (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0
  * Use my @debian.org email address
  * debian/copyright: reflect upstream changes
  * Remove obsolete DM-Upload-Allowed flag
  * Bump Standards-Version to 3.9.4, no changes needed
  * remove-wrong-addpath.patch: remove patch, no longer needed
  * add-preload-to-example.patch: remove patch, obsolete
  * autoload-yes.patch: new patch, marks package as autoloaded
  * d/rules, d/links: remove code about deleted 'allnodes' script

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 13:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien.villemot@ens.fr>,
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Thomas Weber <tweber@debian.org>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
-               libopenmpi-dev, dh-exec, dpkg-dev (>= 1.16.1)
+               libopenmpi-dev (>= 1.6), dh-exec, dpkg-dev (>= 1.16.1)
 Build-Conflicts: libmpich2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/openmpi_ext/
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-openmpi-ext.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-openmpi-ext.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-openmpi-ext.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-openmpi-ext.git
 
 Package: octave-openmpi-ext
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/octave/openmpi_ext-(.+)\.tar\.gz
